import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod } from "./IShortPeriodLongPeriod";
import { IndicatorDisplayType } from "./IndicatorDisplayType";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
import { Series } from "./Series";
/**
 * @hidden
 */
export declare class MovingAverageConvergenceDivergenceIndicator extends StrategyBasedIndicator implements IShortPeriodLongPeriod {
    static $t: Type;
    protected bc(): Series;
    protected get_x7(): IndicatorDisplayType;
    constructor();
    protected get_y0(): IndicatorCalculationStrategy;
    protected get y0(): IndicatorCalculationStrategy;
    protected get_zd(): Type;
    protected get zd(): Type;
    get shortPeriod(): number;
    set shortPeriod(a: number);
    static readonly zo: DependencyProperty;
    protected y8(): number;
    get longPeriod(): number;
    set longPeriod(a: number);
    static readonly zn: DependencyProperty;
    protected y5(): number;
    get signalPeriod(): number;
    set signalPeriod(a: number);
    static readonly zp: DependencyProperty;
    protected yg(): number;
}
